Get Instagram post
Fetch details for an Instagram post or reel URL.
POST
/
api
/
v1
/
platform
/
scrapers
/
instagram
/
post-details
Get Instagram post
curl --request POST \
--url https://developer.thehog.ai/api/v1/platform/scrapers/instagram/post-details \
--header 'Content-Type: application/json' \
--header 'X-Access-Key: <api-key>' \
--header 'X-Secret-Key: <api-key>' \
--data '
{
"postUrl": "https://www.instagram.com/p/ABC123/"
}
'const options = {
method: 'POST',
headers: {
'X-Access-Key': '<api-key>',
'X-Secret-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({postUrl: 'https://www.instagram.com/p/ABC123/'})
};
fetch('https://developer.thehog.ai/api/v1/platform/scrapers/instagram/post-details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://developer.thehog.ai/api/v1/platform/scrapers/instagram/post-details"
payload = { "postUrl": "https://www.instagram.com/p/ABC123/" }
headers = {
"X-Access-Key": "<api-key>",
"X-Secret-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"shortcode": "<string>",
"post_url": "<string>",
"post_type": "<string>",
"caption": "<string>",
"hashtags": [
"<string>"
],
"mentions": [
"<string>"
],
"likes_count": 123,
"comments_count": 123,
"video_views_count": 123,
"display_url": "<string>",
"dimensions_height": 123,
"dimensions_width": 123,
"is_sponsored": true,
"location_name": "<string>",
"location_id": "<string>",
"posted_at": "<string>",
"author_username": "<string>",
"owner_id": "<string>"
},
"meta": {
"requestId": "<string>"
}
}{
"statusCode": 400,
"error": "Bad Request",
"message": "Validation failed",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b",
"errors": [
{
"property": "body.query",
"message": "query must be a string",
"constraints": {
"isString": "query must be a string"
}
}
]
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Authentication is required.",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Insufficient credits.",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b"
}{
"statusCode": 500,
"error": "Internal Server Error",
"message": "An unexpected error occurred.",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b"
}{
"statusCode": 502,
"error": "Bad Gateway",
"message": "An unexpected error occurred.",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b"
}POST /api/v1/platform/scrapers/instagram/post-details
Get full details for a specific Instagram post.Get full details (captions, media, engagement) for a specific post by URL.
Example
curl -X POST https://developer.thehog.ai/api/v1/platform/scrapers/instagram/post-details \
-H "X-Access-Key: ak_xxxxxxxxxxxxxxxx" \
-H "X-Secret-Key: sk_xxxxxxxxxxxxxxxx" \
-H "Content-Type: application/json" \
-d '{"postUrl": "https://www.instagram.com/p/ABC123/"}'
Authorizations
The public API key from the Credentials page.
The API secret shown when the credential is created.
Body
application/json
Example:
"https://www.instagram.com/p/ABC123/"
⌘I
Get Instagram post
curl --request POST \
--url https://developer.thehog.ai/api/v1/platform/scrapers/instagram/post-details \
--header 'Content-Type: application/json' \
--header 'X-Access-Key: <api-key>' \
--header 'X-Secret-Key: <api-key>' \
--data '
{
"postUrl": "https://www.instagram.com/p/ABC123/"
}
'const options = {
method: 'POST',
headers: {
'X-Access-Key': '<api-key>',
'X-Secret-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({postUrl: 'https://www.instagram.com/p/ABC123/'})
};
fetch('https://developer.thehog.ai/api/v1/platform/scrapers/instagram/post-details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://developer.thehog.ai/api/v1/platform/scrapers/instagram/post-details"
payload = { "postUrl": "https://www.instagram.com/p/ABC123/" }
headers = {
"X-Access-Key": "<api-key>",
"X-Secret-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"shortcode": "<string>",
"post_url": "<string>",
"post_type": "<string>",
"caption": "<string>",
"hashtags": [
"<string>"
],
"mentions": [
"<string>"
],
"likes_count": 123,
"comments_count": 123,
"video_views_count": 123,
"display_url": "<string>",
"dimensions_height": 123,
"dimensions_width": 123,
"is_sponsored": true,
"location_name": "<string>",
"location_id": "<string>",
"posted_at": "<string>",
"author_username": "<string>",
"owner_id": "<string>"
},
"meta": {
"requestId": "<string>"
}
}{
"statusCode": 400,
"error": "Bad Request",
"message": "Validation failed",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b",
"errors": [
{
"property": "body.query",
"message": "query must be a string",
"constraints": {
"isString": "query must be a string"
}
}
]
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Authentication is required.",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Insufficient credits.",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b"
}{
"statusCode": 500,
"error": "Internal Server Error",
"message": "An unexpected error occurred.",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b"
}{
"statusCode": 502,
"error": "Bad Gateway",
"message": "An unexpected error occurred.",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b"
}